play.plugins

## Class PlayStatusPlugin

- java.lang.Object
- - play.PlayPlugin
  - - play.plugins.PlayStatusPlugin

- All Implemented Interfaces:
    java.lang.Comparable<PlayPlugin>

      public class PlayStatusPlugin
      extends PlayPlugin

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class play.PlayPlugin

      `PlayPlugin.Filter<T>`

  - ### Field Summary

    - ### Fields inherited from class play.PlayPlugin

      `index`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlayStatusPlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `computeApplicationStatus(boolean json)` Get the application status
    `com.google.gson.JsonObject` | `getJsonStatus()` Return the plugin status in JSON format
    `java.lang.String` | `getStatus()` Retrieve status about play core.
    `boolean` | `rawInvocation(Http.Request request, Http.Response response)` Intercept /@status and check that the Authorization header is valid.

    - ### Methods inherited from class play.PlayPlugin

      `addMimeTypes, addTemplateExtensions, afterActionInvocation, afterApplicationStart, afterFixtureLoad, afterInvocation, beforeActionInvocation, beforeDetectingChanges, beforeInvocation, bind, bind, bind, bindBean, compareTo, compileAll, compileSources, detectChange, detectClassesChange, enhance, getFilter, getFunctionalTests, getMessage, getUnitTests, hasFilter, invocationFinally, loadTemplate, modelFactory, onActionInvocationFinally, onActionInvocationResult, onApplicationReady, onApplicationStart, onApplicationStop, onClassesChange, onConfigurationRead, onEvent, onInvocationException, onInvocationSuccess, onLoad, onRequestRouting, onRoutesLoaded, onTemplateCompilation, overrideTemplateSource, postEvent, routeRequest, runTest, serveStatic, unBind, willBeValidated`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlayStatusPlugin

          public PlayStatusPlugin()

  - ### Method Detail

    - #### computeApplicationStatus

          public java.lang.String computeApplicationStatus(boolean json)

      Get the application status
      Parameters:
        `json` - true if the status should be return in JSON
      Returns:
        application status

    - #### rawInvocation

          public boolean rawInvocation(Http.Request request,
                                       Http.Response response)
                                throws java.lang.Exception

      Intercept /@status and check that the Authorization header is valid. Then ask each plugin for a status dump and send it over the HTTP response. You can ask the /@status using the authorization header and putting your status secret key in it. Prior to that you would be required to start play with a -DstatusKey=yourkey
      Overrides:
        `rawInvocation` in class `PlayPlugin`
      Parameters:
        `request` - The Play request
        `response` - The Play response
      Returns:
        true if this plugin has managed this request
      Throws:
        `java.lang.Exception` - if cannot enhance the class

    - #### getStatus

          public java.lang.String getStatus()

      Retrieve status about play core.
      Overrides:
        `getStatus` in class `PlayPlugin`
      Returns:
        the plugin status

    - #### getJsonStatus

          public com.google.gson.JsonObject getJsonStatus()

      Description copied from class: `PlayPlugin`
      Return the plugin status in JSON format
      Overrides:
        `getJsonStatus` in class `PlayPlugin`
      Returns:
        the plugin status in JSON format

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly